Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
results
array of object
obbligatorio
List of roles.
Mostra attributi secondari
results.accessKeysDependencyCount
integer
obbligatorio
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Mostra attributi secondari
results.actions.name
string
obbligatorio
The name of the action.
results.actions.type
string
obbligatorio
The type that the action belongs to.
results.createdAt
string
obbligatorio
When this role was created.
results.description
string
Role description.
results.id
string
obbligatorio
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Mostra attributi secondari
results.metadata.clouds
array of string
results.name
string
obbligatorio
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
obbligatorio
IAM Policies this role contains.
Mostra attributi secondari
The IAM policy record.
results.policies.createdAt
string
obbligatorio
When the IAM Policy was created.
results.policies.definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
results.policies.definitions.actions
array of string
obbligatorio
A list of actions
results.policies.definitions.conditionsAll
array of object
Mostra attributi secondari
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
obbligatorio
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
obbligatorio
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
obbligatorio
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
obbligatorio
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
obbligatorio
ID of the IAM Policy.
results.policies.type
string
obbligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
obbligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
obbligatorio
When this role was last updated.
results.usersDependencyCount
integer
obbligatorio
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Payload della richiesta
name
string
obbligatorio
Role name.
description
string
Role description.
policies
array of object
obbligatorio
IAM Policies this role contains.
Mostra parametri secondari
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.type
string
obbligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Payload della risposta
accessKeysDependencyCount
integer
obbligatorio
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Mostra attributi secondari
actions.name
string
obbligatorio
The name of the action.
actions.type
string
obbligatorio
The type that the action belongs to.
createdAt
string
obbligatorio
When this role was created.
description
string
Role description.
id
string
obbligatorio
ID of the role.
metadata
object
Metadata for the IAM Role.
Mostra attributi secondari
metadata.clouds
array of string
name
string
obbligatorio
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obbligatorio
IAM Policies this role contains.
Mostra attributi secondari
The IAM policy record.
policies.createdAt
string
obbligatorio
When the IAM Policy was created.
policies.definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
policies.definitions.actions
array of string
obbligatorio
A list of actions
policies.definitions.conditionsAll
array of object
Mostra attributi secondari
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obbligatorio
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obbligatorio
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obbligatorio
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.type
string
obbligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obbligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obbligatorio
When this role was last updated.
usersDependencyCount
integer
obbligatorio
The number of users this role is assigned to.
Esempio di codice
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Payload della risposta
accessKeysDependencyCount
integer
obbligatorio
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Mostra attributi secondari
actions.name
string
obbligatorio
The name of the action.
actions.type
string
obbligatorio
The type that the action belongs to.
createdAt
string
obbligatorio
When this role was created.
description
string
Role description.
id
string
obbligatorio
ID of the role.
metadata
object
Metadata for the IAM Role.
Mostra attributi secondari
metadata.clouds
array of string
name
string
obbligatorio
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obbligatorio
IAM Policies this role contains.
Mostra attributi secondari
The IAM policy record.
policies.createdAt
string
obbligatorio
When the IAM Policy was created.
policies.definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
policies.definitions.actions
array of string
obbligatorio
A list of actions
policies.definitions.conditionsAll
array of object
Mostra attributi secondari
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obbligatorio
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obbligatorio
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obbligatorio
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.type
string
obbligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obbligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obbligatorio
When this role was last updated.
usersDependencyCount
integer
obbligatorio
The number of users this role is assigned to.
Esempio di codice
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Esempio di codice
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Payload della richiesta
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Mostra parametri secondari
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.type
string
obbligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Mostra parametri secondari
actions.name
string
obbligatorio
The name of the action.
actions.type
string
obbligatorio
The type that the action belongs to.
Payload della risposta
accessKeysDependencyCount
integer
obbligatorio
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Mostra attributi secondari
actions.name
string
obbligatorio
The name of the action.
actions.type
string
obbligatorio
The type that the action belongs to.
createdAt
string
obbligatorio
When this role was created.
description
string
Role description.
id
string
obbligatorio
ID of the role.
metadata
object
Metadata for the IAM Role.
Mostra attributi secondari
metadata.clouds
array of string
name
string
obbligatorio
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obbligatorio
IAM Policies this role contains.
Mostra attributi secondari
The IAM policy record.
policies.createdAt
string
obbligatorio
When the IAM Policy was created.
policies.definitions
array of object
obbligatorio
List of IAM Policy definitions.
Mostra attributi secondari
policies.definitions.actions
array of string
obbligatorio
A list of actions
policies.definitions.conditionsAll
array of object
Mostra attributi secondari
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obbligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obbligatorio
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Mostra attributi secondari
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obbligatorio
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obbligatorio
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obbligatorio
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obbligatorio
ID of the IAM Policy.
policies.type
string
obbligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obbligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obbligatorio
When this role was last updated.
usersDependencyCount
integer
obbligatorio
The number of users this role is assigned to.
Esempio di codice
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'